#include <svn/pool.hh>
#include <svn_pools.h>

namespace svn {

Pool::Pool() : apr::Pool::Pool(apr::Pool::doNothing) {
    me = svn_pool_create(NULL);
}

Pool::Pool(Pool &parent) {
    me = svn_pool_create(parent);
}

Pool::~Pool() {
    if (owner)
        svn_pool_destroy(me);
    me = 0;
}

void Pool::clear() {
    svn_pool_clear(me);
}

}
