#include <svn/ra/library.hh>
#include <svn/pool.hh>
#include <string>

using namespace std;

namespace svn {
namespace ra {

Libraries::Libraries(Pool &p) {
    svn_ra_init_ra_libs(&me, p);
}

Library::Library(Libraries &libs, const std::string &url, Pool &p) {
    svn_ra_get_ra_library(&me, libs.me, url.c_str(), p);
}

string Library::getName() const {
    return string(me->name);
}

string Library::getDescription() const {
    return string(me->description);
}

}
}
